/**
 * Copyright (c) 2022 雷掣 All rights reserved.
 *
 * https://www.lc_crm.com
 *
 * 版权所有，侵权必究！
 */

package io.renren.modules.job.task;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import io.renren.modules.job.service.PushService;

/**
 * 客户定时任务
 * @author Mark sunlightcs@gmail.com
 */
@Component("customerTask")
public class CustomerTask implements ITask{
	private Logger logger = LoggerFactory.getLogger(getClass());
	
	@Autowired
    private PushService pushService;

	@Override
	public void run(String params){
		logger.debug("客户定时任务正在执行，参数为：{}", params);
		
		pushService.customerTask();
	}
}